Subject: Re: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

From: <[email-masked]>
Date: Thu, 11 Jul 2019 20:39:30 +0800 (CST)

Hi Yang Huang,

  It is clear that the received ORIP (Originating Router's IP in IMET route） technically can't be used to construct P2P tunnel for ingress replication as it is pointed out by Jorge , especially in the Option B usecase.

  But when the BGP next hop and the PMSI tunnel attribute gives different destination address, I think it is the PMSI tunnel attribute will be trusted as per RFC7432, not the nexthop.

I think the PMSI tunnel attribute will be rewrited in the Option B use case too.

  And I think the ORIP just may be the same with the nexthop when the IMET route is constructed at the originating Router, but I don't think they MUST be strictly the same at that time.

  Do you think there is technical necessity for us to force the ORIP and nexthop to be the same ip address at the Originating PE?

  The ORIP represents the Originating Router in overlay-network, but the nexthop represents the Originating Router in underlay-network. I think It is clear in RFC7432

  So I think it is not necessary for them to be strictly the same even when the IMET route is constructed at the originating PE router.

  Do you think it is necessary? 

  I haven't found any clear "MUST" or "SHOULD" that requires the two attributes to be strictly the same in the IMET route.

  Is there any clear "MUST/SHOULD" in RFC7432/8365 or other drafts that I have missed ?

Best Regards

Bob

On Mon, 1 Jul 2019 07:19:56 +0000

"huangyang (E)" <[email-masked]> wrote:

> Okey,  so could I understand like this ,  in the egress  PE, when we construct the route , the bgp next hop and the originating router’s IP is the same.  But as the bgp will change the bgp next hop attribute like in option B or other route policy scenario,

> We could not think the “received originating and bgp next bop” is the same. And we use the bgp next hop to construct P2P tunnel for ingress replication?

> Thanks

> Yang Huang

> 发件人: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]

> 发送时间: 2019年7月1日 15:10

> 收件人: huangyang (E) <[email-masked]>; [email-masked]

> 主题: Re: 答复: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

> Note that I mentioned the “received originating and next-hop”. A different thing is what you set when constructing the route, I think it is clear in RFC8365 and RFC7432.

> My two cents..

> Thanks.

> Jorge

> From: "huangyang (E)" <[email-masked]<mailto:[email-masked]>>

> Date: Monday, July 1, 2019 at 9:07 AM

> To: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

> Subject: 答复: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

> Hi，

> Thanks for your reply, but I see in RFC 8365, there is description like this :

> In section “9.  Support for Multicast”: “The originating router's IP address field is set to the NVE's IP address.”

> In section “5.1.3.  Constructing EVPN BGP Routes” : “The Next Hop field of the MP_REACH_NLRI attribute of the route MUST

>    be set to the IPv4 or IPv6 address of the NVE.  The remaining fields

>    in each route are set as per [RFC7432].”

> It is confused that if the addresses described in above two places is the same ip address or not. So I am not confirm that there

> may be some situations where the originating router's IP address is not equal to bgp next hop.

> Or the IMET route construction in vxlan scenario is not follow the same rule as in mpls scenario(rfc7432) ?

> Thanks

> Yang Huang

> 发件人: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]

> 发送时间: 2019年7月1日 14:51

> 收件人: huangyang (E) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>

> 主题: Re: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

> Hi,

> I think you should construct the ingress replication tunnels using the next hop of the IMET routes, otherwise you will have issues with inter-as model B scenarios. The received originating IP and next-hop at the ingress PE do not need to be the same.

> Thanks.

> Jorge

> From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of "huangyang (E)" <[email-masked]<mailto:[email-masked]>>

> Date: Monday, July 1, 2019 at 8:46 AM

> To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

> Subject: [bess] [Mail regarding rfc7432]Could you clarify which IP address we use to construct P2P tunnel for ingress replication.

> Hi WG,

> In the charpter 11.2 of RFC 7432:

> 11.2.  P-Tunnel Identification

> "...+ If the PE that originates the advertisement uses ingress

> replication for the P-tunnel for EVPN, the route MUST include the

> PMSI Tunnel attribute with the Tunnel Type set to Ingress

> Replication and the Tunnel Identifier set to a routable address of

> the PE."

> a routable address of the PE is not so strict. And does this mean

> we use the Tunnel Identifier to construct P2P tunnel for ingress

> replication, or we use the Originating Router's IP Address in the

> IMET route key, or they are equivalent meaning?

> And I see it use the BGP Next hop to construct P2P tunnel for BUM

> ingress relication in RFC8365, Should Originating Router’s IP Address,

> the IP address of BGP Next hop, Tunnel Identifier in PMSI, be the same

> IP address?

> Now, this may cause interact problems when it implements differently.

> Could you clarify this? Thanks.

> Brgds,

> Yang Huang